#ifndef EDITMANAGER_H_
#define EDITMANAGER_H_

#include "Room.h"


class Window;


class EditManager {
  public:
    enum Mode {
      VIEW, ADD
    };
    
  private:
    Mode mode;
    
    Window *window;
    
    //Room newRoom;
    
  public:
    EditManager(Window *window);
    
    void addRoom();
    void finishRoom();
    
    void addVertex(const Vertex &v);
    
    Mode getMode() {
      return mode;
    }
};

#endif /*EDITMANAGER_H_*/
