#ifndef DRAW_H_
#define DRAW_H_

#include <gtk/gtk.h>
#include "Vertex.h"


gboolean drawTopView(GtkWidget *widget, GdkEventExpose *event, gpointer data);

float getScale();
void setScale(float s);

void imageToView(Vertex *v);
void viewToImage(Vertex *v);

float getImageWidth();
float getImageHeight();

float getXTranslate();
void setXTranslate(float x);
float getYTranslate();
void setYTranslate(float y);

#endif /*DRAW_H_*/
