#include <gtk/gtk.h>
#include <gtk/gtkgl.h>
#include <stdlib.h>
#include "Level.h"
#include "WindowManager.h"
#include "edit.h"


int main(int argc, char *argv[]) {
  GdkGLConfig *glconfig;
  
  gtk_init(&argc, &argv);
  gtk_gl_init(&argc, &argv);
  
  glconfig = gdk_gl_config_new_by_mode((GdkGLConfigMode)(GDK_GL_MODE_RGB | GDK_GL_MODE_DOUBLE));
  if(!glconfig) glconfig = gdk_gl_config_new_by_mode(GDK_GL_MODE_RGB);
  if(!glconfig) {
    g_print ("*** No appropriate OpenGL-capable visual found.\n");
    exit (1);
  }
  
  WindowManager window(glconfig);
  
  window.run();
  
  return 0;
}
